# MatrixKit: Advanced Synthetic Matrix Generation for Machine Learning and Scientific Computing

## Link to the project repository

[GitHub repo "opencampus-preconditioner-ai-project"](https://github.com/24io/opencampus-preconditioner-ai-project)

## Overview
MatrixKit is a sophisticated Python library designed for generating synthetic matrix data,
primarily focused on machine learning applications. 
It was created as part of a machine learning project at OpenCampus Kiel, 
where my project partner and I faced the challenge of finding labelled real-world matrices to train our models. 
MatrixKit offers powerful tools for creating custom matrices that simulate real-world data.
structures and patterns.

Additionally, the library contains a variety of functions to create and apply block jacobi preconditioners. 

## Features

* **Flexible Matrix Generation**: Create matrices of various sizes and shapes with customizable properties.
* **Realistic Noise Simulation**: Add controlled background noise to matrices.
* **Complex Block Structures**: Generate matrices with intricate block patterns using truncated normal distributions.
* **Fine-Tuned Control**: Adjust parameters like matrix dimensions, noise levels, block sizes, and densities.
* **Comprehensive Metadata**: Maintain detailed information about generated matrices, including block positions and user-defined parameters.
* **Versatile Applications**: Suitable for machine learning, data analysis, scientific computing, and more.

## Installation
Install MatrixKit easily using pip:

```pip install matrixkit```

